5 Replies Latest reply on Jan 5, 2006 5:46 PM by David Lindsay

    java.lang.UnsupportedClassVersionError while deploying Webse

    Ram Munjuluri Newbie

      Hello,

      I am trying to deploy my first webservice in JBoss 4.0.2. I have created the war following the procedure in described in the JBossWS website for a documentliteral style of message.

      When I copy the XXXXXXX.war to the app-name\deploy directory and start JBoss, I get the following error...

      ERROR [ServiceDeployer] Cannot startup webservice for: XXXXXXXXX.war
      java.lang.UnsupportedClassVersionError: com.mypackage.ws.SOAPRequestProcessorInf_processSOAPRequest_RequestStruct (Unsupported major.minor version 49.0)

      Here is the configuration I have

      JBoss : 4.0.2
      JWSDP: 1.5 (using the WSCOMPILE from JWSDP 1.5)
      JDK/JVM: BEA WebLogic JRockit(TM) 1.4.2_05 JVM R24.4.0-1

      I am assuming this has go to do with JRockit JVM version. Did any one experience a similar issue?

      thank you very much
      -Ram